| CAEN FERS Library v1.1.4 SDK for FERS systems

Functions
EEPROM
API » A5256 adapter
Collaboration diagram for EEPROM:

## Functions
int | FERS_ReadA5256EEPROMInfo (int handle, FERS_A5256_Info_t *binfo)
| Read Adapter A5256 info into the relevant EEPROM memory page. More...
int | FERS_WriteA5256EEPROMInfo (int handle, FERS_A5256_Info_t binfo)
| Write Adapter A5256 info into the relevant EEPROM memory page. More...
int | FERS_ReadEEPROMBlock (int handle, int start_address, int size, uint8_t *data)
| Reads a block of data from the EEPROM. More...
int | FERS_WriteEEPROMBlock (int handle, int start_address, int size, uint8_t *data)
| Writes a block of data to the EEPROM. More...
int | FERS_checkA5256presence (int handle, FERS_A5256_Info_t *binfo)
| Check A5256 presence. More...

## Detailed Description

## Function Documentation

## ◆ FERS_ReadA5256EEPROMInfo()

int FERS_ReadA5256EEPROMInfo | ( | int | handle,
|  | FERS_A5256_Info_t * | binfo
| ) |  |

Read Adapter A5256 info into the relevant EEPROM memory page.

Parameters

  [out] | binfo | Pointer to the adapter information
  [in] | handle | Board handle

Returns
  0 on success, or a negative error code as defined in FERSLIB_ErrorCodes

## ◆ FERS_WriteA5256EEPROMInfo()

int FERS_WriteA5256EEPROMInfo | ( | int | handle,
|  | FERS_A5256_Info_t | binfo
| ) |  |

Write Adapter A5256 info into the relevant EEPROM memory page.

Parameters

  [in] | handle | Board handle
  [in] | binfo | Adapter information to write

Returns
  0 on success, or a negative error code as defined in FERSLIB_ErrorCodes

## ◆ FERS_ReadEEPROMBlock()

int FERS_ReadEEPROMBlock | ( | int | handle,
|  | int | start_address,
|  | int | size,
|  | uint8_t * | data
| ) |  |

Reads a block of data from the EEPROM.

Parameters

  [out] | data | Pointer to store the data read from EEPROM
  [in] | handle | Board handle
  [in] | start_address | Starting address in EEPROM to read from
  [in] | size | Number of bytes to read

Returns
  0 on success, or a negative error code as defined in FERSLIB_ErrorCodes

## ◆ FERS_WriteEEPROMBlock()

int FERS_WriteEEPROMBlock | ( | int | handle,
|  | int | start_address,
|  | int | size,
|  | uint8_t * | data
| ) |  |

Writes a block of data to the EEPROM.

Parameters

  [in] | handle | Board handle
  [in] | start_address | Starting address in EEPROM to write to
  [in] | size | Number of bytes to write
  [in] | data | Pointer to the data to write

Returns
  0 on success, or a negative error code as defined in FERSLIB_ErrorCodes

## ◆ FERS_checkA5256presence()

int FERS_checkA5256presence | ( | int | handle,
|  | FERS_A5256_Info_t * | binfo
| ) |  |

Check A5256 presence.

Parameters

  [in] | handle | Board handle
  [in] | binfo | EEPROM bic struct

Returns
  0 on success, or a negative error code as defined in FERSLIB_ErrorCodes